Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.core
Class ExtensionSupport

    java.lang.Object
      com.tonbeller.jpivot.core.ExtensionSupport

All Implemented Interfaces:
  Extension

Direct Known Subclasses:
  ClickableExtensionImpl, DrillExpandMemberExt, DrillExpandPositionExt, DrillReplaceExt, MondrianChangeSlicer, MondrianDrillThrough, MondrianExpressionParser, MondrianMdxQuery, MondrianMemberProperties, MondrianMemberTree, MondrianNonEmpty, MondrianPlaceHierarchies, MondrianSetParameter, MondrianSqlAccess, MondrianSwapAxes, OlapModelDecorator, ScriptableMondrianDrillThrough, SortRankBase, TestExtensionSupport, TestMemberTree, TestSqlAccess, XMLA_ChangeSlicer, XMLA_DrillThrough, XMLA_MdxQuery, XMLA_MemberProperties, XMLA_MemberTree, XMLA_NonEmpty, XMLA_PlaceHierarchies, XMLA_SwapAxes

    public class ExtensionSupport

extends java.lang.Object
implements Extension

Default implementation of an Extension

Author:
  av

Constructor Summary
`ExtensionSupport()`

Method Summary
`Model` | `decorate(Model decoratedModel)` does not decorate, returns the parameter
`java.lang.String` | `getId()` Returns the id.
`Model` | `getModel()` Returns the model.
`void` | `modelInitialized()` Notification after model initialization is complete
`void` | `setId(java.lang.String id)` Sets the id.
`void` | `setModel(Model model)` Sets the model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensionSupport

    public ExtensionSupport()

Method Detail

### getId

    public java.lang.String getId()

  Returns the id.

  Specified by:
    `getId` in interface `Extension`
  Returns:
    String

### getModel

    public Model getModel()

  Returns the model.

  Returns:
    ModelSupport

### setId

    public void setId(java.lang.String id)

  Sets the id.

  Parameters:
    `id` - The id to set

### setModel

    public void setModel(Model model)

  Sets the model. Used by ModelFactory.

  Specified by:
    `setModel` in interface `Extension`
  Parameters:
    `model` - The model to set

### decorate

    public Model decorate(Model decoratedModel)

  does not decorate, returns the parameter

  Specified by:
    `decorate` in interface `Extension`
  Parameters:
    `decoratedModel` - the model to decorate. It may be different from the model passed to setModel() because other extensions may already have decorated modelToDecorate.

### modelInitialized

    public void modelInitialized()

  Notification after model initialization is complete

  Specified by:
    `modelInitialized` in interface `Extension`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD